Skip to main content
GET
/
v1
/
order_batches
/
{id}
/
orders
Retrieve orders for an order batch
curl --request GET \
  --url https://api.ongoody.com/v1/order_batches/{id}/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "38378b4b-49e7-4830-8372-4ad015fafb08",
      "status": "created",
      "individual_gift_link": "https://gifts.ongoody.com/gift/QS38SNZOXUJ2BE8QXIWRZJNB",
      "recipient_first_name": "Alena",
      "recipient_last_name": "Kenter",
      "recipient_email": "alena@ongoody.com",
      "card_id": "720ab9f4-d0ea-40c0-b75b-0dbcc17f2429",
      "message": "Test Message",
      "thank_you_note": null,
      "view_count_recipient": 0,
      "is_swapped": false,
      "order_batch_id": "e867f1dd-0de8-41e4-bcf7-f05101e41408",
      "expires_at": null,
      "cart": {
        "id": "b0c74fa4-31e9-490c-ab21-c04edb966a0a",
        "items": [
          {
            "id": "928929fa-569e-4ef5-8b3c-289eb5cb6b38",
            "quantity": 1,
            "product": {
              "id": "919128cd-719b-4a21-81d8-8e5da114a68d",
              "name": "Cookies",
              "brand": {
                "id": "23c571f9-1483-4342-8cca-673432824b32",
                "name": "Cookie Company"
              }
            }
          }
        ]
      },
      "shipments": [],
      "amounts": {
        "amount_product": 2000,
        "amount_shipping": 500,
        "amount_processing_fee": 0,
        "amount_pre_tax_total": 2500,
        "amount_tax": null,
        "amount_total": null,
        "amount_global_relay_cost": null
      },
      "sender": {
        "first_name": "Test",
        "last_name": "User",
        "email": "15550457845@test.ongoody.com"
      },
      "workspace_id": "d2290dfa-ee7c-43bc-9012-5cfac525247e",
      "workspace_name": "Test Team",
      "original_cart": null,
      "original_amounts": null,
      "reference_id": "94M913SMGNJEUDYDUCBJONVL",
      "payment_link": null
    },
    {
      "id": "0c24bf65-753e-4a32-9a36-9dcfa8687f2d",
      "status": "created",
      "individual_gift_link": "https://gifts.ongoody.com/gift/8M9EXQIVMTVEZ908PANIUMCT",
      "recipient_first_name": "Michael",
      "recipient_last_name": "Franci",
      "recipient_email": "michael@ongoody.com",
      "card_id": "720ab9f4-d0ea-40c0-b75b-0dbcc17f2429",
      "message": "Test Message",
      "thank_you_note": null,
      "view_count_recipient": 0,
      "is_swapped": false,
      "order_batch_id": "e867f1dd-0de8-41e4-bcf7-f05101e41408",
      "expires_at": null,
      "cart": {
        "id": "b0c74fa4-31e9-490c-ab21-c04edb966a0a",
        "items": [
          {
            "id": "928929fa-569e-4ef5-8b3c-289eb5cb6b38",
            "quantity": 1,
            "product": {
              "id": "919128cd-719b-4a21-81d8-8e5da114a68d",
              "name": "Cookies",
              "brand": {
                "id": "23c571f9-1483-4342-8cca-673432824b32",
                "name": "Cookie Company"
              }
            }
          }
        ]
      },
      "shipments": [],
      "amounts": {
        "amount_product": 2000,
        "amount_shipping": 500,
        "amount_processing_fee": 0,
        "amount_pre_tax_total": 2500,
        "amount_tax": null,
        "amount_total": null,
        "amount_global_relay_cost": null
      },
      "sender": {
        "first_name": "Test",
        "last_name": "User",
        "email": "15550457845@test.ongoody.com"
      },
      "workspace_id": "d2290dfa-ee7c-43bc-9012-5cfac525247e",
      "workspace_name": "Test Team",
      "original_cart": null,
      "original_amounts": null,
      "reference_id": "UJOFJRWGIOKEV3JSGOBAWCRL",
      "payment_link": null
    }
  ],
  "list_meta": {
    "total_count": 2
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.ongoody.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Goody API key.

Path Parameters

id
string
required

Order batch ID

Query Parameters

page
integer
default:1

Page for pagination, starting at 1

Required range: x >= 1
per_page
integer
default:20

Items per page for pagination

Required range: 1 <= x <= 100

Response

Orders retrieved with pagination

data
object[]
list_meta
object